Subject: RE: Syntax Survey Version 2

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Thu, 08 Mar 2001 11:11:51 -0800

At 11:53 AM 3/1/01 +1100, Ramsay, Ron wrote:
>The other issue I thought this touched on was the binary syntax itself.
>There is some thought that binary syntax shouldn't be supported.

I haven't heard anyone voice such opinions on this list.  I've
only think we've discussed possible clarifications to the
binary syntax specification, not its removal.

>What are the implications for syntaxes like photo?

Well, it's not clear photo doesn't have syntax "binary".
IMO, it has syntax 'Fax' (1.3.6.1.4.1.1466.115.121.1.23)
[which is actually described in RFC 2252 and RFC 1274].

However, the clarified "binary" syntax specification may
impact RFC 2798 as it describes two attributes of syntax
binary.  The impact of any clarification upon existing
implementations is clearly one of the factors which should
be considered by LDAPbis.

Kurt

---

From: "Steven Legg" <[email-masked]>
Date: Wed, 28 Mar 2001 17:23:17 +1000

Kurt,

> [which is actually described in RFC 2252 and RFC 1274].

I agree with you that the syntax for the photo attribute is Fax.

> binary.

The Binary syntax seems to be used in RFC 2798 as a catch-all
for attributes with a definite ASN.1 syntax but no LDAP string
encoding. Used in this way, labelling an attribute definition
with the Binary syntax is really only saying that the attribute
has to be requested and returned using the ;binary attribute option.
It otherwise doesn't convey any useful information about the
syntax. Clients just have to know what the attributes are used for.

I think RFC 2798 should have defined two new LDAP
syntaxes instead of using the Binary syntax.

Regards,
Steven

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Thu, 29 Mar 2001 14:19:23 -0800

>has to be requested and returned using the ;binary attribute option.

Right.  I think the Binary syntax needs to be clarified
that it has no LDAP string encoding and should be transferred
using the ;binary (or other) transfer option.

>syntaxes instead of using the Binary syntax.

Yes.

---

From: "Steven Legg" <[email-masked]>
Date: Fri, 30 Mar 2001 12:12:41 +1000

Kurt,

> using the ;binary (or other) transfer option.

We really need to fix the transfer to being ;binary (in the current
absence of any alternative). If different attributes with the Binary
syntax have different default transfer encodings then we might as
well throw out the Binary syntax because it would then be telling us
nothing useful about the attribute's syntax or the encoding.

Cheers,
Steven